## PCMLinux_GPL_sources.zip

=== Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 6
EXTRAVERSION =
NAME=Zonked Quokka

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's of
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call sparse as part of compilation of C files
# Use 'make C=1' to enable sparse checking

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify direcotry of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntax'es are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
# 
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assigment takes precedence over the KBUILD_OUTPUT environment variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
.PHONY: _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(wildcard $(KBUILD_OUTPUT)),, \
     $(error output directory "$(saved-output)" does not exist))

.PHONY: $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT)		\
	KBUILD_SRC=$(CURDIR)	     KBUILD_VERBOSE=$(KBUILD_VERBOSE)	\
	KBUILD_CHECK=$(KBUILD_CHECK) KBUILD_EXTMOD=$(KBUILD_EXTMOD)     \
        -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
.PHONY: all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

# Make sure we're not wasting cpu-cycles doing locale handling, yet do make
# sure error messages appear in the user-desired language
ifdef LC_ALL
LANG := $(LC_ALL)
LC_ALL :=
endif
LC_COLLATE := C
LC_CTYPE := C
export LANG LC_ALL LC_COLLATE LC_CTYPE

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)

export srctree objtree VPATH TOPDIR

KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

ARCH		?= $(SUBARCH)
CROSS_COMPILE	?=

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC  	= gcc
HOSTCXX  	= g++
HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS	= -O2

# 	Decide whether to build built-in, modular, or both.
#	Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are uptodate before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN KBUILD_VERBOSE
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing wil be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's usefull
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

check_gcc = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

export quiet Q KBUILD_VERBOSE check_gcc

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# For maximum performance (+ possibly random breakage, uncomment
# the following)

#MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
RPM 		:= $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
		    	else echo rpm; fi)
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=

NOSTDINC_FLAGS  = -nostdinc -iwithprefix include

CPPFLAGS        := -D__KERNEL__ -Iinclude \
		   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include)

CFLAGS 		:= -Wall -Wstrict-prototypes -Wno-trigraphs \
	  	   -fno-strict-aliasing -fno-common
AFLAGS		:= -D__ASSEMBLY__

export	VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION KERNELRELEASE ARCH \
	CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
	HOSTCXX HOSTCXXFLAGS LDFLAGS_BLOB LDFLAGS_MODULE CHECK

export CPPFLAGS NOSTDINC_FLAGS OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE 
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(KBUILD_EXTMOD)/).tmp_versions

# The temporary file to save gcc -MD generated dependencies must not
# contain a comma
comma := ,
depfile = $(subst $(comma),_,$(@D)/.$(@F).d)

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS \) -prune -o
RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
.PHONY: scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'. 
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

no-dot-config-targets := clean mrproper distclean \
			 cscope TAGS tags help %docs check%

config-targets := 0
mixed-targets  := 0
dot-config     := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(filter-out config %config,$(MAKECMDGOALS)),)
                        mixed-targets := 1
                endif
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================

=== Gui/Makefile ===

LIB	= libgui.a

include ../config.mak
include config.mak

INCDIR  = -I. -I.. -I../loader -I./wm -I./skin $(FREETYPE_INC) $(GTKINC) $(EXTRA_INC) 

OPTIMIZE =  $(OPTFLAGS) \
            -fexpensive-optimizations -fschedule-insns2 -Wall

CFLAGS = $(OPTIMIZE) $(INCDIR) $(DEBUG) 

SRCS = wm/ws.c wm/wsxdnd.c app.c interface.c cfg.c bitmap.c \
	skin/skin.c skin/font.c skin/cut.c \
	mplayer/widgets.c mplayer/play.c mplayer/mw.c mplayer/sw.c mplayer/menu.c mplayer/pb.c mplayer/common.c \
	mplayer/gtk/menu.c mplayer/gtk/mb.c mplayer/gtk/about.c mplayer/gtk/pl.c mplayer/gtk/sb.c mplayer/gtk/fs.c mplayer/gtk/opts.c mplayer/gtk/url.c mplayer/gtk/eq.c mplayer/gtk/common.c
OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

### TARGETS ###

$(LIB):	.depend	$(OBJS)
	rm -f $(LIB)
	$(AR) rc $(LIB) $(OBJS) $(MPLAYEROBJS)
	$(RANLIB) $(LIB)

all:	$(LIB)

clean:
	rm -rf $(OBJS) *.o *~ *.bak main $(LIB) .depend

#dep:	depend
#
#depend:
#	makedepend -- $(CFLAGS) -- $(SRCS) &>/dev/null
#

distclean: clean

dep:    depend

depend: .depend

.depend: Makefile config.mak
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== SDL/Makefile ===
#/* 2004-12-01 CyberLink Corp. <http://www.gocyberlink.com> */
all:
	tar xzvf SDL-1.2.7.tar.gz
	( cd SDL-1.2.7 && \
	  ./configure --prefix=/ --disable-debug --enable-joystick --disable-esd \
	  --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio \
	  --disable-dga --disable-video-x11-dgamouse --disable-video-x11-xinerama \
	  --disable-video-x11-xme --disable-video-dga --disable-video-photon \
	  --disable-video-fbcon --disable-video-ps2gs --disable-video-xbios \
	  --disable-video-gem --disable-video-dummy --disable-pth \
	  --disable-atari-ldg --disable-alsa && \
	  make )

=== TOOLS/Makefile ===
include ../config.mak

CFLAGS = -I..

OBJS = alaw-gen asfinfo avi-fix bios2dump cpuinfo dump_mp4 mem2dump movinfo \
	png2raw subrip fastmemcpybench vivodump

all: $(OBJS)

png2raw: png2raw.c
	$(CC) png2raw.c -o png2raw -lpng

subrip: subrip.c
	$(CC) $(CFLAGS) -g -o subrip subrip.c ../vobsub.o ../spudec.o ../mp_msg.o ../unrarlib.o ../postproc/swscale.o ../postproc/rgb2rgb.o ../postproc/yuv2rgb.o ../libmpcodecs/img_format.o -lm

vivodump: vivodump.c
	$(CC) $(CFLAGS) -o vivodump vivodump.c ../mp_msg.o ../libmpdemux/libmpdemux.a

fastmemcpybench: fastmemcpybench.c
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"mmx\"      -DHAVE_MMX fastmemcpybench.c -o fastmem-mmx
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"k6\ \"     -DHAVE_3DNOW -DHAVE_MMX fastmemcpybench.c -o fastmem-k6
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"k7\ \"     -DHAVE_MMX2  -DHAVE_3DNOW -DHAVE_MMX fastmemcpybench.c -o fastmem-k7
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"sse\"      -DHAVE_MMX2  -DHAVE_SSE   -DHAVE_MMX fastmemcpybench.c -o fastmem-sse
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"mga-mmx\"  -DHAVE_MGA   -DHAVE_MMX fastmemcpybench.c -o fastmem2-mmx
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"mga-k6\ \" -DHAVE_MGA   -DHAVE_3DNOW -DHAVE_MMX fastmemcpybench.c -o fastmem2-k6
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"mga-k7\ \" -DHAVE_MGA   -DHAVE_MMX2  -DHAVE_3DNOW -DHAVE_MMX fastmemcpybench.c -o fastmem2-k7
	$(CC) $(CFLAGS) -g ../libvo/aclib.o -DNAME=\"mga-sse\"  -DHAVE_MGA   -DHAVE_MMX2  -DHAVE_SSE   -DHAVE_MMX fastmemcpybench.c -o fastmem2-sse

clean:
	rm -f $(OBJS)
	rm -f fastmem-mmx fastmem-k6 fastmem-k7 fastmem-sse fastmem2-mmx fastmem2-k6 fastmem2-k7 fastmem2-sse

=== acpid/Makefile ===
#/* 2004-08-27 CyberLink Corp. <http://www.gocyberlink.com> */
all:
	tar zxvf acpid-1.0.4.tar.gz
	( cd acpid-1.0.4 && \
          make )

=== alsa_lib/Makefile ===
#/* 2004-12-01 CyberLink Corp. <http://www.gocyberlink.com> */

all:
	tar xjvf alsa-lib-1.0.8.tar.bz2
	( cd alsa-lib-1.0.8 && \
	  ./configure && \
	  make )

=== autofs/Makefile ===
#/* 2004-08-27 CyberLink Corp. <http://www.gocyberlink.com> */
all:
	tar xzvf autofs-3.1.7.tar.gz
	patch -p0 < patch.open-max
	( cd autofs-3.1.7 && \
	  ./configure --prefix=/ && \
	  make )

=== busybox/Makefile ===
#/* 2004-09-01 CyberLink Corp. <http://www.gocyberlink.com> */

all:
	tar xzvf busybox-1.00-rc2.tar.gz
	tar zxvf pcmcia.tgz
	cp config busybox-1.00-rc2/.config
	patch -p0 < patch.init-script
	(cd busybox-1.00-rc2/ && patch -p1 < ../eject.diff )
	(cd busybox-1.00-rc2/ && make)

=== crypto/Makefile ===
#
# Cryptographic API
#

proc-crypto-$(CONFIG_PROC_FS) = proc.o

obj-$(CONFIG_CRYPTO) += api.o scatterwalk.o cipher.o digest.o compress.o \
			$(proc-crypto-y)

obj-$(CONFIG_CRYPTO_HMAC) += hmac.o
obj-$(CONFIG_CRYPTO_NULL) += crypto_null.o
obj-$(CONFIG_CRYPTO_MD4) += md4.o
obj-$(CONFIG_CRYPTO_MD5) += md5.o
obj-$(CONFIG_CRYPTO_SHA1) += sha1.o
obj-$(CONFIG_CRYPTO_SHA256) += sha256.o
obj-$(CONFIG_CRYPTO_SHA512) += sha512.o
obj-$(CONFIG_CRYPTO_WP512) += wp512.o
obj-$(CONFIG_CRYPTO_DES) += des.o
obj-$(CONFIG_CRYPTO_BLOWFISH) += blowfish.o
obj-$(CONFIG_CRYPTO_TWOFISH) += twofish.o
obj-$(CONFIG_CRYPTO_SERPENT) += serpent.o
obj-$(CONFIG_CRYPTO_AES) += aes.o
obj-$(CONFIG_CRYPTO_CAST5) += cast5.o
obj-$(CONFIG_CRYPTO_CAST6) += cast6.o
obj-$(CONFIG_CRYPTO_ARC4) += arc4.o
obj-$(CONFIG_CRYPTO_TEA) += tea.o
obj-$(CONFIG_CRYPTO_KHAZAD) += khazad.o
obj-$(CONFIG_CRYPTO_DEFLATE) += deflate.o
obj-$(CONFIG_CRYPTO_MICHAEL_MIC) += michael_mic.o
obj-$(CONFIG_CRYPTO_CRC32C) += crc32c.o

obj-$(CONFIG_CRYPTO_TEST) += tcrypt.o

=== dialog/Makefile ===
#/* 2004-12-01 CyberLink Corp. <http://www.gocyberlink.com> */

all:
	tar xzvf dialog.tar.gz
	( cd dialog-1.0-20040731 && \
	  ./configure && \
	  make )

=== disk-utils/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)


include ../make_include
include ../MCONFIG

# Where to put man pages?

MAN8= 	blockdev.8 fdformat.8 isosize.8 mkfs.8 mkswap.8 elvtune.8 \
	fsck.minix.8 mkfs.minix.8 mkfs.bfs.8

# Where to put binaries?
# See the "install" rule for the links. . .

SBIN= 	mkfs mkswap blockdev elvtune fsck.minix mkfs.minix mkfs.bfs

USRBIN=	fdformat isosize

ETC=	fdprm

MAYBE=  setfdprm raw fsck.cramfs mkfs.cramfs

ifneq "$(HAVE_FDUTILS)" "yes"
USRBIN:=$(USRBIN) setfdprm
MAN8:=$(MAN8) setfdprm.8
endif

ifeq "$(HAVE_RAW_H)" "yes"
USRBIN:=$(USRBIN) raw
MAN8:=$(MAN8) raw.8
endif

ifeq "$(HAVE_ZLIB)" "yes"
SBIN:=$(SBIN) fsck.cramfs mkfs.cramfs
endif

all: $(SBIN) $(USRBIN)

fsck.cramfs: fsck.cramfs.o
	$(CC) $(LDFLAGS) -o fsck.cramfs fsck.cramfs.o -lz

mkfs.cramfs: mkfs.cramfs.o $(LIB)/md5.o
	$(CC) $(LDFLAGS) -o mkfs.cramfs mkfs.cramfs.o $(LIB)/md5.o -lz

mkfs.cramfs.o: $(LIB)/md5.h

fsck.cramfs.o mkfs.cramfs.o: cramfs.h

fsck.minix.o mkfs.minix.o: bitops.h minix.h

install: all
	$(INSTALLDIR) $(SBINDIR) $(USRBINDIR) $(ETCDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)
	$(INSTALLBIN) $(USRBIN) $(USRBINDIR)
ifneq "$(HAVE_FDUTILS)" "yes"
	$(INSTALLDAT) $(ETC) $(ETCDIR)
endif
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8) $(MAN8DIR)

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(SBIN) $(USRBIN) $(MAYBE)

=== dlfcn/Makefile ===
# Copyright (C) 1995-2002, 2003, 2004 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

subdir		:= dlfcn
headers		:= bits/dlfcn.h dlfcn.h
extra-libs	:= libdl
libdl-routines	:= dlopen dlclose dlsym dlvsym dlerror dladdr dladdr1 dlinfo
distribute	:= dlopenold.c glreflib1.c glreflib2.c failtestmod.c \
		   defaultmod1.c defaultmod2.c errmsg1mod.c modatexit.c \
		   modcxaatexit.c modstatic.c \
		   bug-dlsym1-lib1.c bug-dlsym1-lib2.c

extra-libs-others := libdl

include ../Makeconfig

ifeq ($(versioning),yes)
libdl-routines	+= dlopenold
libdl-shared-only-routines := dlopenold
endif

ifeq (yes,$(build-shared))
tests = glrefmain failtest tst-dladdr default errmsg1 tstcxaatexit \
	bug-dlopen1 bug-dlsym1 tst-dlinfo
ifeq (yes,$(have-protected))
tests += tstatexit
endif
endif
modules-names = glreflib1 glreflib2 failtestmod defaultmod1 defaultmod2 \
		errmsg1mod modatexit modcxaatexit \
		bug-dlsym1-lib1 bug-dlsym1-lib2

failtestmod.so-no-z-defs = yes
glreflib2.so-no-z-defs = yes
errmsg1mod.so-no-z-defs = yes

ifeq (yesyesyes,$(build-static)$(build-shared)$(elf))
tests += tststatic
tests-static += tststatic
modules-names += modstatic
tststatic-ENV = LD_LIBRARY_PATH=$(objpfx):$(common-objpfx):$(common-objpfx)elf
endif

extra-objs += $(modules-names:=.os)
generated := $(modules-names:=.so)

include ../Rules

LDFLAGS-dl.so = -Wl,-dynamic-linker,$(slibdir)/$(rtld-installed-name)

test-modules = $(addprefix $(objpfx),$(addsuffix .so,$(modules-names)))
$(test-modules): $(objpfx)%.so: $(objpfx)%.os $(common-objpfx)shlib.lds
	$(build-module)

ifeq ($(build-shared),yes)
# Build all the modules even when not actually running test programs.
tests: $(test-modules)
endif

$(objpfx)glrefmain: $(libdl)
$(objpfx)glrefmain.out: $(objpfx)glrefmain \
			$(objpfx)glreflib1.so $(objpfx)glreflib2.so

$(objpfx)failtest: $(libdl)
$(objpfx)failtest.out: $(objpfx)failtestmod.so

$(objpfx)tst-dladdr: $(libdl)
$(objpfx)tst-dladdr.out: $(objpfx)glreflib1.so

$(objpfx)tst-dlinfo: $(libdl)
$(objpfx)tst-dlinfo.out: $(objpfx)glreflib1.so

LDFLAGS-default = $(LDFLAGS-rdynamic)
$(objpfx)default: $(libdl) $(objpfx)defaultmod1.so $(objpfx)defaultmod2.so
$(objpfx)defaultmod1.so: $(libdl) $(common-objpfx)libc_nonshared.a
LDFLAGS-defaultmod2.so = $(LDFLAGS-Bsymbolic)
$(objpfx)defaultmod2.so: $(libdl) $(common-objpfx)libc_nonshared.a

$(objpfx)errmsg1: $(libdl)
$(objpfx)errmsg1.out: $(objpfx)errmsg1 $(objpfx)errmsg1mod.so

$(objpfx)tstatexit: $(libdl)
$(objpfx)tstatexit.out: $(objpfx)tstatexit $(objpfx)modatexit.so

$(objpfx)tstcxaatexit: $(libdl)
$(objpfx)tstcxaatexit.out: $(objpfx)tstcxaatexit $(objpfx)modcxaatexit.so

$(objpfx)modatexit.so: $(common-objpfx)libc.so $(common-objpfx)libc_nonshared.a

$(objpfx)tststatic: $(objpfx)libdl.a
$(objpfx)tststatic.out: $(objpfx)tststatic $(objpfx)modstatic.so

$(objpfx)modstatic.so: $(common-objpfx)libc.so $(common-objpfx)libc_nonshared.a

$(objpfx)bug-dlopen1: $(libdl)

$(objpfx)bug-dlsym1: $(libdl) $(objpfx)bug-dlsym1-lib2.so
$(objpfx)bug-dlsym1.out: $(objpfx)bug-dlsym1-lib1.so \
			 $(objpfx)bug-dlsym1-lib2.so
$(objpfx)bug-dlsym1-lib1.so: $(objpfx)bug-dlsym1-lib2.so \
			     $(common-objpfx)libc.so \
			     $(common-objpfx)libc_nonshared.a
$(objpfx)bug-dlsym1-lib2.so: $(common-objpfx)libc.so \
			     $(common-objpfx)libc_nonshared.a



# Depend on libc.so so a DT_NEEDED is generated in the shared objects.
# This ensures they will load libc.so for needed symbols if loaded by
# a statically-linked program that hasn't already loaded it.
$(objpfx)libdl.so: $(common-objpfx)libc.so $(common-objpfx)libc_nonshared.a \
		   $(if $(filter yes,$(elf)), $(elfobjdir)/ld.so)

=== debian/changelog ===
busybox-cvs (20031212-3) unstable; urgency=low

  * debian/config-udeb-linux:
    - Enable freeramdisk. (closes: #225360)

 -- Bastian Blank <waldi@debian.org>  Tue, 30 Dec 2003 22:36:50 +0100

busybox-cvs (20031212-2) unstable; urgency=low

  * debian/config-udeb:
    - Enable freeramdisk
  * archival/libunarchive/data_extract_to_stdout.c:
    - Don't extract to much (upstream).
  * archival/libunarchive/data_extract_all.c:
    - Don't set permissions on symlinks (upstream).
  * editors/sed.c:
    - Fix (upstream). (closes: #224676)

 -- Bastian Blank <waldi@debian.org>  Tue, 23 Dec 2003 16:59:13 +0100

busybox-cvs (20031212-1) unstable; urgency=low

  * new cvs version
    - fixes IOR in fdisk. (closes: #223773)
  * debian/config*
    - update
    - remove mtab support from mount in busybox-static. (closes: #222386)
    - enable progress bar for wget. (closes: #223770)
  * modutils/obj/obj_s390{,x}.c
    - fix abi change, R_390_GOTOFF -> R_390_GOTOFF32. (closes: #216528)
  * acknowledge nmu. (closes: #216950, #216756, #215169, #215613)

 -- Bastian Blank <waldi@debian.org>  Fri, 12 Dec 2003 21:19:41 +0100

busybox-cvs (20030926-2.1) unstable; urgency=low

  * NMU
  * Remove /sbin/init from the udebs, while still leaving init support
    compiled in. rootskel takes over providing init, but then calls bb init.
    Remove linuxrc support from the udebs entirely. Closes: #216756
  * config-floppy-udeb-linux: add minimal find, grep. Closes: #215169
  * net-udeb-linux-i386: add loopback mount support. Closes: #215613

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Oct 2003 12:47:52 -0400

busybox-cvs (20030926-2) unstable; urgency=low

  * debian/config-floppy-udeb-linux
    - update for new floppy images (closes: #212986, #214102)

 -- Bastian Blank <waldi@debian.org>  Thu, 09 Oct 2003 12:25:49 +0200

busybox-cvs (20030926-1) unstable; urgency=low

  * new cvs version
  * Makefile
    - fix libpwdgrp link (upstream) (closes: #211675)
  * Rules.mak.in
    - fix optimization (closes: #212485)
  * debian/config*
    - update
  * debian/config*udeb*
    - move linux-i386 to linux (enable modutils on any linux arch)
    - rename net to floppy
    - enable wget status bar (closes: #211457)
  * init/init.c
    - workaround race conditions (closes: #212764)

 -- Bastian Blank <waldi@debian.org>  Fri, 26 Sep 2003 15:10:14 +0200

busybox-cvs (0.60.99.cvs20030819-3) unstable; urgency=low

  * shell/ash.c
    - fix signal handling (upstream)

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Sep 2003 18:12:09 +0200

busybox-cvs (0.60.99.cvs20030819-2) unstable; urgency=low

  * Fix configure permisions
  * Set source Section to embedded

 -- Glenn McGrath <bug1@debian.org>  Mon, 25 Aug 2003 06:33:19 +0000

busybox-cvs (0.60.99.cvs20030819-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Aug 2003 13:18:54 +0200

busybox-cvs (0.60.99.cvs20030426-10) unstable; urgency=low

  * archival/libunarchive/*
    - add hardlink support (pending)
  * debian/config-*udeb*
    - add support for oldgnu tar format

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Jun 2003 12:06:41 +0200

busybox-cvs (0.60.99.cvs20030426-9) unstable; urgency=low

  * modutils/depmod.c
    - fix base_dir for modules.dep

 -- Bastian Blank <waldi@debian.org>  Sat, 07 Jun 2003 14:52:54 +0200

busybox-cvs (0.60.99.cvs20030426-8) unstable; urgency=low

  * util-linux/fdisk.c
    - fix syscalls. (pending)
  * libpwd/*
    - don't build setgroups.o

 -- Bastian Blank <waldi@debian.org>  Tue, 03 Jun 2003 11:26:28 +0200

busybox-cvs (0.60.99.cvs20030426-7) unstable; urgency=low

  * libbb/*syscallc.c
    - fix syscalls. (upstream) (closes: #194631)
  * modutils/*
    - update complete objects code from upstream. (pending)
  * debian/config-*udeb*
    - update to busybox-applets.txt:1.14

 -- Bastian Blank <waldi@debian.org>  Thu, 29 May 2003 16:17:14 +0200

busybox-cvs (0.60.99.cvs20030426-6) unstable; urgency=low

  * modutils/Makefile.in
    - don't build anything if deactivated

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 18:57:14 +0200

busybox-cvs (0.60.99.cvs20030426-5) unstable; urgency=low

  * debian/config-*udeb*
    - revert changes (closes: #192717, #192753)
    - readd initrd support (workaround)
    - make init quiet
  * archival/tar.c
    - fix usage of tar -O (upstream) (closes: #193788)

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 13:25:36 +0200

busybox-cvs (0.60.99.cvs20030426-4) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.12
  * debian/rules
    - use system instead of arch to determine which config file to use

 -- Bastian Blank <waldi@debian.org>  Fri, 09 May 2003 11:21:13 +0200

busybox-cvs (0.60.99.cvs20030426-3) unstable; urgency=low

  * debian/config-udeb*
    - update to busybox-applets.txt:1.11

 -- Bastian Blank <waldi@debian.org>  Wed, 07 May 2003 10:37:40 +0200

busybox-cvs (0.60.99.cvs20030426-2) unstable; urgency=low

  * modutils/*
    - modprobe failes gracefully if the module is already loaded. (pending)
    - implement depmod. (pending)
  * debian/config*
    - update

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Apr 2003 14:12:36 +0200

busybox-cvs (0.60.99.cvs20030426-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Apr 2003 18:33:17 +0200

busybox-cvs (0.60.99.cvs20030420-4) unstable; urgency=low

  * network/libiproute/iproute.c
    - fix usage of ip route flush (upstream)

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 16:48:43 +0200

busybox-cvs (0.60.99.cvs20030420-3) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.10

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 14:03:23 +0200

busybox-cvs (0.60.99.cvs20030420-2) unstable; urgency=low

  * archival/tar.c, archival/libunarchive/data_extract_all.c
    - unlink files first (upstream patch)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Apr 2003 12:42:06 +0200


=== debian/control ===
Source: mplayer
Section: misc
Priority: optional
Maintainer: Dariush Pietrzak <eyck@ghost.anime.pl>
Standards-Version: 3.2.1
Build-Depends: libglib-dev, libgtk-dev, xlibs-dev, libpng-dev, zlib1g-dev, debhelper (>= 2)

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends},debconf,libconfhelper-perl
Description: The Ultimate Movie Player 
 MPlayer is a movie player for LINUX (runs on many other Unices, and non-x86
 CPUs, see the ports section). It plays most MPEG, VOB, AVI, OGG/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. You can
 watch VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies too (and you don't
 need the avifile library at all!).
 .
 Another big feature of MPlayer is the wide range of supported output drivers.
 It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you
 can also use GGI and SDL (and this way all their drivers) and some lowlevel
 card-specific drivers (for Matrox, 3Dfx and Radeon, Mach64, Permedia3) too!
 Most of them supports software or hardware scaling, so you can enjoy movies in
 fullscreen.
 .
 MPlayer supports displaying through some hardware MPEG decoder boards, such as
 the DVB and DXR3/Hollywood+.
 .
 And what about the nice big antialiased shaded subtitles (10 supported types)
 with European/ISO 8859-1,2 (Hungarian, English, Czech, etc), Cyrillic, Korean
 fonts, and the onscreen display (OSD)?

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
export DH_COMPAT=3

package        := mplayer
prefix := $(shell pwd)/debian/$(package)

arch   := $(shell dpkg --print-architecture)


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(checkdir)
	./configure --prefix=/usr --confdir=/etc/mplayer --enable-runtime-cpudetection --enable-gui $(DEB_BUILD_OPTIONS)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# commands to compile the package.
	${MAKE} 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f help_mp.h config.h config.mak libao2/config.mak libvo/config.mak Gui/config.mak
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# commands to install the package into debian/<packagename>
	$(MAKE) prefix=$(prefix)/usr BINDIR=$(prefix)/usr/bin CONFDIR=$(prefix)/etc/mplayer LIBDIR=$(prefix)/usr/lib DATADIR=$(prefix)/usr/share/mplayer  MANDIR=$(prefix)/usr/share/man  install

	dh_link usr/bin/mplayer usr/bin/gmplayer \
		usr/share/man/man1/mplayer.1.gz usr/share/man/man1/gmplayer.1.gz


	dh_installdebconf	
	dh_installdocs --exclude=CVS --exclude=mplayer.1 DOCS/*
	dh_installexamples etc/example.conf etc/dvb-menu.conf etc/input.conf etc/menu.conf
	dh_installmenu
	dh_installmime
	dh_installinfo
	dh_installchangelogs
	#ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb



#binary-arch: checkroot build
#	$(checkdir)
#	-rm -rf debian/tmp
#	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`


# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
#	debstd 
#	dpkg-gencontrol -isp
#	chown -R root.root debian/tmp
#	chmod -R go=rX debian/tmp
#	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
